This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535439 - (RHQ-2134) need way to hide resource key from UI [NEEDINFO]
need way to hide resource key from UI
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-06-08 12:00 EDT by John Mazzitelli
Modified: 2014-05-05 16:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-05 16:59:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cwelton: needinfo? (jmarques)


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-06-08 12:00:00 EDT
Some resources (like the MySQL servers from MySQL plugin) have sensitive information in their resource keys. For example, if a resource key is a JDBC URL that includes credentials, we need to tell the UI to hide that resource key - otherwise, we could expose sensitive information on the UI. The inventory tab shows the resource key string - we should have some way in the plugin descriptor to tell us "the resource key is sensitive and should not be displayed in clear text". If that is set, we can show "*****" as the resource key value.

See also: http://www.jboss.org/index.html?module=bb&op=viewtopic&p=4236129
Comment 1 Red Hat Bugzilla 2009-11-10 15:58:30 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2134
Comment 2 wes hayutin 2010-02-16 11:54:10 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 11:59:28 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Heiko W. Rupp 2010-10-18 05:34:30 EDT
I've just pushed and update to the MySQL plugin by Steve Millidge 
(28ae734397d49586094f973c0db81f06fc394791).
Where this seems no longer an issue. Of course this BZ is broader than only the 
MySQL plugin
Comment 5 Jay Shaughnessy 2014-05-05 16:59:08 EDT
We've been showing the reskey forever without any complaints other than this one. I think this was a one-off, so closing...

Note You need to log in before you can comment on or make changes to this bug.